CredentialsSys (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.oncrpc.security, class: CredentialsSys

Package org.apache.hadoop.oncrpc.security

# Class CredentialsSys

java.lang.Object
org.apache.hadoop.oncrpc.security.RpcAuthInfo
org.apache.hadoop.oncrpc.security.Credentials
org.apache.hadoop.oncrpc.security.CredentialsSys

public class CredentialsSys extends Credentials
Credential used by AUTH_SYS

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.oncrpc.security.RpcAuthInfo

  `RpcAuthInfo.AuthFlavor`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int[]`
  `mAuxGIDs`
  `protected int`
  `mGID`
  `protected String`
  `mHostName`
  `protected int`
  `mStamp`
  `protected int`
  `mUID`

  ### Fields inherited from class org.apache.hadoop.oncrpc.security.Credentials

  `LOG, mCredentialsLength`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredentialsSys()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getAuxGIDs()`
  `int`
  `getGID()`
  `int`
  `getUID()`
  `void`
  `read(XDR xdr)`
  Load auth info.
  `void`
  `setGID(int gid)`
  `void`
  `setStamp(int stamp)`
  `void`
  `setUID(int uid)`
  `void`
  `write(XDR xdr)`
  Write auth info.

  ### Methods inherited from class org.apache.hadoop.oncrpc.security.Credentials

  `readFlavorAndCredentials, writeFlavorAndCredentials`

  ### Methods inherited from class org.apache.hadoop.oncrpc.security.RpcAuthInfo

  `getFlavor, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### mUID

    protected int mUID

  - ### mGID

    protected int mGID

  - ### mAuxGIDs

    protected int[] mAuxGIDs

  - ### mHostName

    protected String mHostName

  - ### mStamp

    protected int mStamp

- ## Constructor Details

  - ### CredentialsSys

    public CredentialsSys()

- ## Method Details

  - ### getGID

    public int getGID()

  - ### getUID

    public int getUID()

  - ### getAuxGIDs

    public int[] getAuxGIDs()

  - ### setGID

    public void setGID(int gid)

  - ### setUID

    public void setUID(int uid)

  - ### setStamp

    public void setStamp(int stamp)

  - ### read

    public void read(XDR xdr)
    Description copied from class: `RpcAuthInfo`
    Load auth info.
    Specified by:
      `read` in class `RpcAuthInfo`
    Parameters:
      `xdr` - XDR message

  - ### write

    public void write(XDR xdr)
    Description copied from class: `RpcAuthInfo`
    Write auth info.
    Specified by:
      `write` in class `RpcAuthInfo`
    Parameters:
      `xdr` - XDR message